<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classEventBuilder.html">EventBuilder</a></li><li class="navelem"><a class="el" href="classEventBuilder_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classEventBuilder_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:ad207c1924fcb9bfba056c223a87adc82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad207c1924fcb9bfba056c223a87adc82"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#ad207c1924fcb9bfba056c223a87adc82">DAQ_LINK_SI5342_Mon</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk_sys</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a19e27aa5a8096a5bd4659253f87573f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19e27aa5a8096a5bd4659253f87573f4"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a19e27aa5a8096a5bd4659253f87573f4">DAQ_Link_EventBuilder</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classDAQ__Link__EventBuilder.html">&lt;Entity DAQ_Link_EventBuilder&gt; </a></em></td></tr>
<tr class="memitem:aab95fcbccc9314b583e654472f197189"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab95fcbccc9314b583e654472f197189"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#aab95fcbccc9314b583e654472f197189">RCE_PCS</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classRCE__PCS.html">&lt;Entity RCE_PCS&gt; </a></em></td></tr>
<tr class="memitem:a7f38b79dbe6a552cf9430b3705b3838e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f38b79dbe6a552cf9430b3705b3838e"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a7f38b79dbe6a552cf9430b3705b3838e">FELIX_PCS</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classFELIX__PCS.html">&lt;Entity FELIX_PCS&gt; </a></em></td></tr>
<tr class="memitem:ac92ba1599b1aaaec1803f285e28afd96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac92ba1599b1aaaec1803f285e28afd96"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#ac92ba1599b1aaaec1803f285e28afd96">FELIX_RX</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classFELIX__RX.html">&lt;Entity FELIX_RX&gt; </a></em></td></tr>
<tr class="memitem:a61f7b3cbcedea4bae0c663c892d5d07f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61f7b3cbcedea4bae0c663c892d5d07f"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a61f7b3cbcedea4bae0c663c892d5d07f">counter</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classcounter.html">&lt;Entity counter&gt; </a></em></td></tr>
<tr class="memitem:afc0dd45f8d89fe2e0fc71ccbfcc771a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc0dd45f8d89fe2e0fc71ccbfcc771a8"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#afc0dd45f8d89fe2e0fc71ccbfcc771a8">I2C_reg_master</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classI2C__reg__master.html">&lt;Entity I2C_reg_master&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:a3123382b91a10a84e3fc11d532cc38af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3123382b91a10a84e3fc11d532cc38af"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a3123382b91a10a84e3fc11d532cc38af">BYTE_WIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abd6c73dd35ec69df794e7f4c459c4635"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd6c73dd35ec69df794e7f4c459c4635"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#abd6c73dd35ec69df794e7f4c459c4635">CDA_STR_PER_DAQ_LINK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">CDAS_PER_DAQ_LINK</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">LINKS_PER_CDA</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab19278d8d82a9e5e180d283e7ec4569b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab19278d8d82a9e5e180d283e7ec4569b"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#ab19278d8d82a9e5e180d283e7ec4569b">FEMB_PER_DAQ_LINK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FEMB_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">DAQ_LINK_COUNT</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:ac573a69e89b546e5eb6cca73c51e8541"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac573a69e89b546e5eb6cca73c51e8541"></a>
<b><a class="el" href="classEventBuilder_1_1behavioral.html#ac573a69e89b546e5eb6cca73c51e8541">EB_state_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_WAIT_CONV</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_WAIT_FEMB</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_SEND_HEADER_0</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_SEND_DATA</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ab7d35d40083382a0dc5d5c786ad8b971"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7d35d40083382a0dc5d5c786ad8b971"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#ab7d35d40083382a0dc5d5c786ad8b971">EB_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">EB_state_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_WAIT_CONV</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad7c1ab0b56077200d6bec20cb5e4a089"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7c1ab0b56077200d6bec20cb5e4a089"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#ad7c1ab0b56077200d6bec20cb5e4a089">pll_locked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DAQ_LINK_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a08067d7234127dbfc0602599acec2cd7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08067d7234127dbfc0602599acec2cd7"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a08067d7234127dbfc0602599acec2cd7">tx_parallel_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar">DAQ_LINK_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8cffe5ab13f004a349646f07a38563b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8cffe5ab13f004a349646f07a38563b8"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a8cffe5ab13f004a349646f07a38563b8">tx_datak</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar">DAQ_LINK_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0c6597610aa5ee4b1dfa6a81cdbe531e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c6597610aa5ee4b1dfa6a81cdbe531e"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a0c6597610aa5ee4b1dfa6a81cdbe531e">new_event</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7211c1e855beeae7db625ec77b3bf307"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7211c1e855beeae7db625ec77b3bf307"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a7211c1e855beeae7db625ec77b3bf307">PCS_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3b4f3883766ccdfdf4f66b95ef64bbd6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b4f3883766ccdfdf4f66b95ef64bbd6"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a3b4f3883766ccdfdf4f66b95ef64bbd6">clk_EVB_local</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:af20a66aa845db0ba1ef72f9fbb1d885c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af20a66aa845db0ba1ef72f9fbb1d885c"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#af20a66aa845db0ba1ef72f9fbb1d885c">I2C_reg_master_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.I2C_reg_master</b>  </td></tr>
<tr class="memitem:a74285b16d35e2c1fdf4f07fb954ce7f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74285b16d35e2c1fdf4f07fb954ce7f9"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a74285b16d35e2c1fdf4f07fb954ce7f9">DAQ_Link_EventBuilder_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.DAQ_Link_EventBuilder</b>  </td></tr>
<tr class="memitem:a306e2c0f30d7110d4ff9f89e3a9cb0ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a306e2c0f30d7110d4ff9f89e3a9cb0ee"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a306e2c0f30d7110d4ff9f89e3a9cb0ee">RCE_PCS_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.RCE_PCS</b>  </td></tr>
<tr class="memitem:ad512181c9d73986933be6e79e716c7d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad512181c9d73986933be6e79e716c7d7"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#ad512181c9d73986933be6e79e716c7d7">FELIX_PCS_2</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.FELIX_PCS</b>  </td></tr>
<tr class="memitem:a76b6f02c92172894c7ba1d73c26ceb16"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76b6f02c92172894c7ba1d73c26ceb16"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a76b6f02c92172894c7ba1d73c26ceb16">DAQ_LINK_SI5342_I2C</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.I2C_reg_master</b>  </td></tr>
<tr class="memitem:a7716356dfee26d1fc5cbe67de6448cf6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7716356dfee26d1fc5cbe67de6448cf6"></a>
<a class="el" href="classEventBuilder_1_1behavioral.html#a7716356dfee26d1fc5cbe67de6448cf6">FELIX_RX_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>FELIX_RX</b>  <em><a class="el" href="classFELIX__RX.html">&lt;Entity FELIX_RX&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="EventBuilder_8vhd_source.html#l00063">63</a> of file <a class="el" href="EventBuilder_8vhd_source.html">EventBuilder.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/EventBuilder/<a class="el" href="EventBuilder_8vhd_source.html">EventBuilder.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
